CyberSecretary for Microsoft Outlook 2000

This page uses frames, but your browser doesn't support them.


CyberSecretary - Calendar

Your Calendar

Your CyberSecretary will bring you your Outlook 2000 calendar at the start of the day, so you can see the day’s appointments at a glance.

Double click on any appointment that has already passed, and your CyberSecretary will offer to add your notes to a Journal entry for the appointment.

Your CyberSecretary will also come and remind you – in her own voice – when it is time for an appointment – instead of the default reminder built in to Microsoft Outlook. Let your CyberSecretary put the “face” – and the voice! – in “user interface”!

S O F T W A R E

Copyright © 1997-2001, Walter E. Heindl, Ivitar Software


CyberSecretary - Contacts

Your Contacts

Your CyberSecretary will also come whenever you open a contact in Microsoft Outlook 2000, and will offer to take down a phone message, log a phone call, or create an electronic mail message addressed to the contact.

What’s more, if you have an Internet connection, your CyberSecretary will also offer to get a street map showing where your contact is located. Street maps and driving directions are provided by MapBlast.

The date and time of Phone Messages are recorded in the “Modified” field for Outlook contacts. You will want to add this column to a Contact List view. You may also filter the view (so that only your call list is displayed), or automatically format the view (so that your calls to make are highlighted). See Microsoft Outlook documentation for information on how to modify your Contact List view.


CyberSecretary - Expenses

Your Expenses

Your CyberSecretary can also help you keep an expense account. Just right-click on her tray icon and choose “Expense” from the drop-down list. Your CyberSecretary will take down pertinent information concerning an expense item, and will maintain this information in an Expenses folder in Microsoft Outlook. When you are done adding expenses, she will offer to summarize them in an expense report.


CyberSecretary - My Favorites

Here are some of my favorite sources of information on the Internet. I hope that you find these useful!

Directories/People Finders • Yahoo! People Search • Yahoo! Yellow Pages | Package Tracking • Federal Express • United Parcel • Airborne | News And Entertainment • The New York Times • My Yahoo • Dilbert
Travel Info/Reservations • Travelocity • Concierge.com • Expedia • Amtrak Schedules | Street Maps • Mapblast • MapQuest • Expedia Maps | Shopping & Services • TicketMaster • American Greetings • Amazon.com • FTD.com
Computers • Ivitar Software - My Home! • WinFiles • Atlantic Coast Soft-Shop • SoftSeek • Slipstick Systems • Microsoft Office • Palm Gear H.Q. | Internet Searches • Altavista • Langenberg • About.com • Yahoo • GO.com/Infoseek • c|net Search.com | Legal References • Congressional Legislation • U.S. Code • Federal Register • Code of Federal Regulations • IRS Forms • Legal Information Institute • Westlaw


CyberSecretary - Play A Game

Let’s Play!

And what assistant – human or virtual – would be complete, without the ability to play a game? Your CyberSecretary comes with four of them: you choose a place, a president, a food or an animal, and she will try to guess. She gets better with practice!

To play a game, right-click on your CyberSecretary's tray icon and choose "Play A Game." You'll be presented with a list of the guessing games that are available.

You can create your own games. Simply make a copy of the file GAMEROOT.GAME in your CyberSecretary program folder, give it a new name, open it in Notepad or your favorite text editor, and "seed" it with a sample question and two answers. Directions are found in comments in the file.


CyberSecretary for Microsoft Outlook 2000

CyberSecretary

for Microsoft Outlook 2000

S O F T W A R E

Overview • What's New • Getting Started • Calendar • Contacts • Inbox • Sent Mail • Expenses • Reminders

Internet • Just For Fun • My Favorites • Teach Me! • Macros • Download Me • Buy Me • Tips/FAQ/Support


CyberSecretary - Inbox

Your Incoming Mail

Your CyberSecretary will bring you your Outlook 2000 Inbox at the start of the day.

Whenever you receive new mail, your CyberSecretary will come and announce its arrival, in her own voice, and will offer to open the message for you.


CyberSecretary - Getting Started

Getting Started

CyberSecretary for Microsoft Outlook 2000 requires the Microsoft Visual Basic 6 runtime library (MSVBVM60.DLL), and Microsoft Outlook 2000 or later.

Installing CyberSecretary is easy. If you have downloaded the .ZIP file version, simply unzip the files to the folder of your choice (e.g. c:\Program Files\CyberSecretary) and launch CYBERSEC.EXE. If you have downloaded the .EXE file version, simply launch that file. This will unzip all the files into the folder of your choice (by default, c:\Program Files\CyberSecretary) and then launch CYBERSEC.EXE.

You will have an opportunity to choose a name for your CyberSecretary, and teach your CyberSecretary how you'd like to be addressed. Your CyberSecretary will provide you with a brief overview of her features and capabilities. She will then add shortcuts to your Start Menu, create necessary Registry entries, and complete the installation process.

Your CyberSecretary will also add her folders to your Outlook mail profile. These folders include:

  • Favorites – A collection of your CyberSecretary's most useful Internet links.
  • Help – A link to the CyberSecretary on-line help system for up-to-the-minute information about your CyberSecretary.
  • Schedule – Your CyberSecretary's own task list of scheduled tasks, including reminders, scheduled programs, and scheduled web pages.

Your CyberSecretary will be visible as a tray icon and will spring into action when required:

  • She will monitor events occurring in Outlook (e.g. sending and receiving e-mail messages, or opening a contact item) and, depending on your preferences, will offer to perform certain tasks.
  • She will keep an eye on the clock and will perform certain tasks you have selected to be performed at certain times, e.g. reminding you of your appointments, announcing the hour, getting stock prices, or other customized tasks you've taught her.
  • If you right-click on her tray icon, she will come and present you with a menu of special tasks, e.g. performing an Internet search, playing a game, or recording an expense. You can also choose to close Outlook, send her home, or customize her settings.
  • If you left-click on her tray icon, she will come and present you with a menu of documents, programs and web sites for you to select from various categories. Your CyberSecretary has a number of such tasks built-in, and you can easily teach her more.
Customize Your CyberSecretary!

You can choose which tasks you’d like your CyberSecretary to perform. Just right-click on her tray icon, choose “Customize Me,” and you will be presented with the dialog at the left. Simply choose which of these tasks you’d like her to perform.

If you’d like, your CyberSecretary can appear as an icon when new messages arrive, when you open a contact, or when mail is sent. Click on the icon (or press ENTER) and your CyberSecretary’s full dialog will appear. Wait five seconds (or press ESC) and the icon will disappear.

You can also change your CyberSecretary’s name and gender here.


CyberSecretary - Internet

Click Her Icon . . .

and your CyberSecretary will come right away … because there are still more things that she can do for you!

If you have an Internet connection, your CyberSecretary can get stock prices for you. This task is stored in your CyberSecretary's Schedule folder as the following command:

GetStockPrice Ticker StockName

Where Ticker is the ticker symbol and StockName is the name of the stock, e.g.

GetStockPrice ^DJIA Dow Jones Industrials

Stock prices are provided courtesy of Yahoo!

If you have an Internet connection, you can launch an Internet search without opening your browser first – using most of the popular Internet search engines.


CyberSecretary - Macros

Your Macros . . .

will never be the same with your CyberSecretary! CyberSecretary for Microsoft Outlook 2000 is built using the CyberSecretary Object Library, an ActiveX component which can be used in any Word, Excel or other macro written using Microsoft Visual Basic for Applications. The CyberSecretary Object Library offers the following features:

  • A common user interface using the Virtual Office Assistant!

  • A library of over 45 sound and speech clips, over 150 icons, and various facial expressions both male and female!

  • An easy to use, flexible dialog box that includes messages for the user, text input by the user, buttons, a drop-down list box – even a progress indicator!

  • The ability to access many Windows functions (reading/writing the Registry and .INI files, opening and printing document files, accessing common dialog boxes, even accessing files via the Internet!

Adding CyberSecretary to your VBA macros is a simple process:

  1. If desired, record keystrokes and mouse clicks using the macro recorder in the desired application.
  2. Open the macro in the Visual Basic editor by pressing Alt-F11.
  3. Use the DIM keyword to create an object variable which will refer to your CyberSecretary.
  4. Use the CreateObject function (or the SET function with the NEW keyword) to create the CyberSecretary.
  5. Set your CyberSecretary's properties (to specify screen position, a caption, message, icon, sound effect, and facial expression, to specify whether the dialog will include a space for user input or a drop-down list, and to specify which buttons will appear).
  6. Use the SHOW method to display the dialog.
  7. Read your CyberSecretary's properties (e.g. which button was pushed, what text was entered, what was selected from the list) and process accordingly.

For more details on how you can use the CyberSecretary Object Library in your own macros, see the CyberSecretary Macro Reference (CSMACROS.CHM).


CyberSecretary - Introduction

Your CyberSecretary is the world's first Virtual Office Assistant, specially designed for users of Microsoft Outlook 2000.

CyberSecretary is designed to perform the most useful tasks for Outlook 2000 users. CyberSecretary is also easy to use: just copy the program files to the folder of your choice and run CYBERSEC.EXE. Your CyberSecretary will come and do the rest!

Your CyberSecretary can do the following:

  • Show you your calendar and remind you of upcoming appointments.
  • Take down phone messages, log phone calls – even get street maps via the Internet.
  • Announce new mail messages.
  • Print and file sent mail messages; log sent mail messages in your journal; and set reminders for following up.
  • Notify you when it is time to follow up on a mail message.
  • Get stock quotations via the Internet, and perform Internet searches.
  • Remind you of important tasks (once, daily, weekly, monthly, annually).
  • Learn new tasks . . . like launching programs, opening documents, or visiting Internet sites – daily, weekly, monthly, or when you left-click on her tray icon!
  • Keep records of expenses.
  • Show off her artificial intelligence with guessing games . . . she gets better with practice!
  • More!

CyberSecretary for Microsoft Outlook 2000 is written in Microsoft Visual Basic and requires the Visual Basic 6 runtime library (MSVBVM60.DLL). This is automatically installed as part of Visual Basic for Applications support in Microsoft Office 2000, and may also have been included on your CyberSecretary program CD.

To install and operate CyberSecretary, simply launch SETUP.EXE, which will copy all the program files to your hard disk (c:\Program Files\CyberSecretary by default) and launch CYBERSEC.EXE, which will personalize your CyberSecretary, complete the installation process, and provide a brief guided tour of her features.

Buy Now

Press here to register online using
major credit cards!


CyberSecretary - Registration

CyberSecretary for Microsoft Outlook 2000 is shareware. The program is fully functional, but, unless registered, will display registration reminders and other virtual temperament such as getting sick and going home early.

Registration is $19.95. You will receive a user ID which will remove the registration reminders and virtual temperament. Use the form below to register.

Buy Now

Press here to register online using
major credit cards!

If you would prefer to register by mail, please use the following form.

Yes! I would like to register CyberSecretary for Microsoft Outlook 2000. Enclosed is my registration payment of $19.95. I understand that I will receive a user name and user ID via electronic mail at the address below.

User Name

E-Mail Address

Mail completed registration form with a check for $19.95 to:

Walter E. Heindl

Software
271 Misty Patch Road
Coatesville, PA 19320

ATTENTION DEVELOPERS! The CyberSecretary Library (CYBERSEC.DLL) can be used in your programs as well! You can put the "face" in "user interface" for your own applications as well! The CyberSecretary Object Library includes many useful features:

  • Over 200 icons, over 40 speech and sound clips, seven male and female facial expressions.

  • A fully controllable dialog box featuring text input, drop-down lists, buttons, even a progress indicator.

  • Easy-to-use, object-oriented programming interface.

  • Use with any application which supports ActiveX controls, e.g. Visual Basic.

  • Support for many Windows functions that would otherwise require API programming, e.g. read/write registry and .INI files, common dialogs, and shell functions.

  • Support for shareware registration codes.

For more information, send e-mail to support@ivitar.com.

Visit our sponsors:


CyberSecretary - Reminders

Don’t Forget . . .

Your CyberSecretary won’t let you forget those important tasks. If you’d like your CyberSecretary to remind you of something – either today, tomorrow, every day, or every week – just right-click her tray icon to set a reminder.

When the reminder comes due, your CyberSecretary will come to tell you. You can choose to cancel the reminder, or to be reminded again if you’re not ready.

Your CyberSecretary stores reminders in her Schedule folder, which is added to your Outlook profile when you install CyberSecretary. This folder includes tasks you've taught your CyberSecretary, as well as reminders you have set. You can easily edit reminders (for example, changing when they are scheduled to occur, and their frequency of recurrence). Press here for more information about your CyberSecretary's Schedule folder.

Following Up Mail . . .

is easy with your CyberSecretary! Whenever you send a message, you’ll be given an opportunity to set a follow-up reminder. Your CyberSecretary will automatically remind you when it is time to follow up.

If you choose to follow up on your messages, your CyberSecretary will open each message that is due, and give you the choice of canceling the reminder, sending a follow-up message, or setting a new follow-up reminder.


CyberSecretary - Scheduled Tasks

Scheduled Tasks...

...are easy for your CyberSecretary to remember. Your CyberSecretary stores scheduled tasks in her Schedule folder, which is added to your Outlook profile.

Scheduled items can be created by right-clicking on any program, document or Internet shortcut and sending it to your CyberSecretary. You can also create reminders by right-clicking your CyberSecretary's tray icon and choosing Reminder.

Below is a sample view of this folder. Scheduled items can include any of the following:

  • An Internet URL.

  • A program, document or other file.

  • A special command recognized by your CyberSecretary, such as GetStockPrice.

  • A reminder message.

The Schedule folder view also shows the recurring date, time and frequency (e.g. every weekday at 8:40 a.m.).

If the item is marked Active, then your CyberSecretary will perform the task at the scheduled time. You can click on this field to make an item inactive, or to re-activate an item that you've marked as inactive.

If a "Yes" appears under Prompt, then your CyberSecretary will prompt you before performing the task. You will be given a choice of having your CyberSecretary perform the task (or acknowledging the reminder); cancelling the task until the next time it has been scheduled; deferring the task for a specified time; de-activating the task, or deleting it altogether.

The Schedule view shows the last time that the task was performed.

To set the scheduled time and recurring frequency for a scheduled item, simply open the item and press the Recurrence button on the toolbar, choose Actions | Recurrence from the item's menu, or press Ctrl-G. You can choose to have the task performed daily (every day or on weekdays only), weekly (any one or more days of the week), monthly (cardinal days of the month or ordinal weekdays) or yearly (calendar dates or ordinal days of the year) – any recurrence pattern supported by Microsoft Outlook!


CyberSecretary - Sent Mail

Your Sent Mail

Your CyberSecretary can perform many useful tasks with your sent mail – and will automatically come and offer to do them whenever you send a message!

Your CyberSecretary will offer to set a follow-up reminder for messages – from one day to one year. What’s more, when the follow-up comes due, your CyberSecretary will automatically offer to create a follow-up message, set a new reminder, or cancel the reminder! Messages with follow-ups are moved to a “Diary” folder which your CyberSecretary creates, and the follow-up date and time is stored in the “Flag Due By” field. You may want to add this folder to your Outlook bar, and add this field to the Outlook view, so you can see all your follow-ups at a glance. See the Microsoft Outlook 2000 documentation for more details on how to do this.

Your CyberSecretary will offer to print messages. If you answer “yes,” you can choose to add an additional line to the header, showing the paper file where the printed message should be filed.

Your CyberSecretary will offer to save messages – either chronologically (by month and year) in your Outlook personal folders, or in the Outlook folder that you choose. You can even choose to save messages as files (.DOC, .RTF, .TXT, or .MSG) chronologically (by month and year) on your hard drive, so that you can keep your Outlook personal folders lean!

Your CyberSecretary will also offer to create journal entries for sent messages. This journal entry will contain your notes, and also a link to the message (or file, if you chose to save the message as a file).


CyberSecretary - More

Tips and Tricks

  • If you place a file called GREETING.TXT in your CyberSecretary's program folder, then each time she is launched she will present you with the message contained in the file. This is a convenient way to remind yourself to update your voice mail greeting, etc. (Version 2.0 installs this file by default but you can edit it to suit your tastes, or delete it if you do not wish to use this feature.)

  • You can have your CyberSecretary bring you your favorite web sites at specified times of the day every day or on specific days. Just open your "Favorites" folder, right-click on any Internet shortcut, and send it to your CyberSecretary. She will come right away to find out what to do. (Note, CyberSecretary must already be running for this feature to work.)

  • When you choose to log a sent mail message or a past appointment in your Journal, you are presented with a drop-down list of categories. By default the choices are "Business" and "Personal." You can customize this list by adding a list of categories to the Registry. Look for the key HKEY_CURRENT_USER\Software\CyberSecretary\Outlook. Add a string value named "Categories." Its value should be a list of categories separated by the vertical bar, e.g.:

Business|Personal|Financial|Legal|Sales|Engineering

You will then be presented with all of the specified choices in the drop-down list of categories. BE EXTREMELY CAREFUL WHEN EDITING THE REGISTRY!

  • You can customize the location on the screen where your CyberSecretary usually appears. To do this, follow these steps. First, right-click on your CyberSecretary's tray icon. When she appears, drag her to where you would like her to appear. Then choose "Customize Me." Press OK when the dialog appears. The location of her dialog will be memorized. (Note, some messages will appear in the center of the screen.)

  • You can control the responsiveness of your CyberSecretary. By default, every half-second your CyberSecretary checks the time for scheduled tasks, checks Outlook for new events, and checks her tray icon for your button press. You can speed this up on a fast system, or slow it down to improve system responsiveness. To do this, open the Registry editor (REGEDIT.EXE). Look for the key HKEY_CURRENT_USER\Software\CyberSecretary\Outlook. Add a string value named "Interval" and set it to the number of milliseconds (500 = half a second, the default). Setting a lower number causes your CyberSecretary to respond more instantly, at a cost of a slight performance penalty on slower systems. Setting a higher number may improve overall system performance on a slower system. Setting a number lower than 100 will not noticeably improve your CyberSecretary's responsiveness and may cause her to think she can take over your machine. Setting a number higher than about 3000 will cause your CyberSecretary to imitate human laziness and is not recommended unless that's what you really want.

Troubleshooting/Frequently Asked Questions

Q. Occasionally, my CyberSecretary hangs while starting Microsoft Outlook.

When you launch CyberSecretary, she will start Microsoft Outlook if it is not already running. For unknown reasons, occasionally CyberSecretary will fail to start Microsoft Outlook and will hang. If you experience this problem, try starting Microsoft Outlook before you launch CyberSecretary.

Q. Why won't CyberSecretary work with Microsoft Outlook 97 or 98?

Microsoft Outlook 97 and 98 were the first versions of Outlook to be released. While they provided some support for programs such as CyberSecretary, they could not notify such a program when something happened in Outlook - e.g. sending a mail message or opening a contact. That support was added in Microsoft Outlook 2000.

Q. Why won't CyberSecretary work properly with the e-mail attachment security enhancements to Outlook 2000?

As part of the security enhancements offered by Microsoft for Outlook 2000, in response to the "I Love You" virus, Microsoft disabled programs from accessing certain Outlook functions, e.g. accessing e-mail addresses and sending messages unattended. While CyberSecretary does not send messages unattended, she does read e-mail addresses from mail message headers for certain purposes. CyberSecretary does not read the address book itself. While using CyberSecretary with Outlook 2000 with e-mail attachment security enhancements, you may occasionally be prompted to approve what she is doing.

Support/Suggestions:

Technical support is provided to registered users by e-mail. Please provide your questions, comments, feature suggestions to:

support@ivitar.com


CyberSecretary - Teach Me!

If you choose to have your CyberSecretary launch the program, open the document or visit the Internet site whenever you ask, you will be given a choice of a category in which to file this new task.

These categories are subfolders of the “Shortcuts” subfolder of your CyberSecretary program folder, and you can add, delete or change the folders which appear on this list.

Just Left-Click . . .

And your CyberSecretary will come and present a list of categories. Choose the desired category and you’ll be given a list of all of the programs, documents and Internet shortcuts that your CyberSecretary has filed under that category.

Teach Me New Things!

You can teach your CyberSecretary new things – as easy as right-clicking on any program, document or shortcut and sending it to your CyberSecretary. Your CyberSecretary will come right away to learn what to do!

You can choose to have your CyberSecretary launch the program, open the document, or visit the Internet site daily, on a selected day of the week, or whenever you ask (by left-clicking on your CyberSecretary’s tray icon).

Your CyberSecretary stores reminders in her Schedule folder, which is added to your Outlook profile when you install CyberSecretary. This folder includes reminders as well as tasks you've taught your CyberSecretary. You can easily change a task's schedule (for example, changing when it is scheduled to occur, and its frequency of recurrence). Press here for more information about your CyberSecretary's Schedule folder.

When it’s time for your CyberSecretary to bring you your scheduled item, you’ll be given the chance to go ahead, to wait 5 minutes, or to cancel.

Your CyberSecretary will open the document in its application, will launch the program, or will open the Internet site in your web browser.


CyberSecretary - What's New

What's New In This Release

Version 2.0 contains the following new features, improvements and bug fixes:

  • New feature: Scheduled items are kept in your CyberSecretary's schedule folder in Microsoft Outlook. This makes it possible to schedule items on any recurring basis supported by Microsoft Outlook (e.g. weekdays, multiple days of the week, ordinal days of the month and year, etc.). It also makes it easier to edit scheduled items. Scheduled items can also be deactivated without deleting them, and a record is kept of the last time each task was performed.
  • New feature: "Customize Me" dialog can be used to change the name and gender of your CyberSecretary.
  • Improved: Speed of program start-up has been improved. After the first launch, only the calendar is shown before the Inbox; Contacts are shown only if the user has selected a voice mail greeting.
  • New feature: The program by default installs GREETING.TXT, a reminder to change your voice mail greeting.
  • Improved: Uninstallation does not delete any files in program folder which are not associated with CyberSecretary.
  • Improved: Installation performs proper version checking for common system libraries.

Revision History

Version 1.2 - Released November 30, 2000

  • New feature: Automatic uninstallation added.
  • New feature: Support for random events. Your CyberSecretary will pop up at random intervals. This can be disabled in the Customize dialog.
  • New feature: Ability to customize frequency with which system events are monitored by your CyberSecretary, to balance CyberSecretary performance with overall system performance. See FAQ page for details.
  • Improved: More tips and tricks in the help file's FAQ page.
  • Fixed: The Outlook bar is no longer automatically displayed for users who choose not to automatically display the Outlook bar.
  • Fixed: Various cosmetic bug fixes.

Version 1.1 - Released November 6, 2000

  • New feature: If you open an appointment in Outlook where the ending time has already passed, your CyberSecretary will offer to add the appointment (with your notes) to your Journal.
  • Improved: CyberSecretary is now much gentler with system resources such as CPU time, improving overall system performance.
  • Improved: More useful help file.
  • Fixed: Bug in the guessing game has been corrected.
  • Fixed: Bug which caused recurring reminders to be deleted has been corrected.

Version 1.0 - Released September 25, 2000

  • Initial release.